Package com.evopdf

# Enum HorizontalTextAlign

java.lang.Object
java.lang.Enum<HorizontalTextAlign>
com.evopdf.HorizontalTextAlign

All Implemented Interfaces:
  `Serializable`, `Comparable<HorizontalTextAlign>`, `java.lang.constant.Constable`

public enum HorizontalTextAlign extends Enum<HorizontalTextAlign>
This enumeration contains the possible values of the horizontal alignment of the text in PDF documents

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Center`
  Align center
  `Default`
  Align default
  `Justify`
  Align justify
  `Left`
  Align left
  `Right`
  Align right

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static HorizontalTextAlign`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static HorizontalTextAlign[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Default

    public static final HorizontalTextAlign Default
    Align default

  - ### Left

    public static final HorizontalTextAlign Left
    Align left

  - ### Center

    public static final HorizontalTextAlign Center
    Align center

  - ### Right

    public static final HorizontalTextAlign Right
    Align right

  - ### Justify

    public static final HorizontalTextAlign Justify
    Align justify

- ## Method Details

  - ### values

    public static HorizontalTextAlign[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static HorizontalTextAlign valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()